#include<iostream>
using namespace std;
unsigned long long magic(long long c){
    long long copie = c, izhod = 0;
    if(copie % 10 > 0){
        izhod += 1 * (copie % 10 - 1);
    }else{
        izhod += 1 * 9;
    }
    copie /= 10;

    if(copie % 10 > 0){
        izhod += 10 * (copie % 10 - 1);
    }else{
        izhod += 10 * 9;
    }
    copie /= 10;

    if(copie % 10 > 0){
        izhod += 100 * (copie % 10 - 1);
    }else{
        izhod += 100 * 9;
    }
    copie /= 10;
    return izhod;
}
int main(){
    long long n, a, b, c;
    cin >> n >> a >> b;
    for(long long i = 0; i < n - 2; i++){
        c = a * b;
        c = magic(c);
        a = b;
        b = c;
    }
    cout << c;
    return 0;
}
